---
title: Fetch all participants of a meeting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch all participants of a meeting

client.RealtimeKit.Meetings.GetMeetingParticipants(ctx, appID, meetingID, params) (\*[MeetingGetMeetingParticipantsResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants

Returns all participants detail for the given meeting ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participants%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meetingID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participants%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

<details>

<summary>

params MeetingGetMeetingParticipantsParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participants%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

PageNo param.Field\[float64]Optional

Query param: The page number from which you want your page search results to be displayed.

minimum0

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participants%20%3E%20(params)%20default%20%3E%20(param)%20page_no">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param: Number of results per page

minimum0

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participants%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participants%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type MeetingGetMeetingParticipantsResponse struct{…}

</summary>

<details>

<summary>

Data \[]MeetingGetMeetingParticipantsResponseData

</summary>

ID string

ID of the participant.

formatuuid

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

When this object was created. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20created_at">Link to this property</a>

CustomParticipantID string

A unique participant ID generated by the client.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20custom_participant_id">Link to this property</a>

PresetName string

Preset applied to the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20preset_name">Link to this property</a>

UpdatedAt Time

When this object was updated. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20updated_at">Link to this property</a>

Name stringOptional

Name of the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Picture stringOptional

URL to a picture of the participant.

formaturi

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(items)%20%3E%20(property)%20picture">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

<details>

<summary>

Paging MeetingGetMeetingParticipantsResponsePaging

</summary>

EndOffset float64

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20paging%20%3E%20(property)%20end_offset">Link to this property</a>

StartOffset float64

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20paging%20%3E%20(property)%20start_offset">Link to this property</a>

TotalCount float64

minimum0

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20paging%20%3E%20(property)%20total_count">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20paging">Link to this property</a>

Success bool

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingGetMeetingParticipantsResponse%20%3E%20(schema)>)

### Fetch all participants of a meeting

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.GetMeetingParticipants(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.MeetingGetMeetingParticipantsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "custom_participant_id": "custom_participant_id",
      "preset_name": "preset_name",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "picture": "https://example.com"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "custom_participant_id": "custom_participant_id",
      "preset_name": "preset_name",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "picture": "https://example.com"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}
```